Bug 59727 - [MAINTAINER] net/honeyd: update to 0.7
Summary: [MAINTAINER] net/honeyd: update to 0.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sergei Kolobov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-11-27 14:20 UTC by Yann Berthier
Modified: 2003-12-04 16:01 UTC (History)
0 users

See Also:


Attachments
honeyd-0.7.patch (2.75 KB, patch)
2003-11-27 14:20 UTC, Yann Berthier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yann Berthier 2003-11-27 14:20:06 UTC
- Update to 0.7
- Install sample scripts in the DATADIR directory

Generated with FreeBSD Port Tools 0.50
Comment 1 Sergei Kolobov freebsd_committer 2003-11-27 14:38:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sergei

I'll take it.
Comment 2 Sergei Kolobov freebsd_committer 2003-11-29 23:33:09 UTC
Yann,

Please review slightly modified version of your patch:

Index: Makefile
===================================================================
RCS file: /FreeBSD/cvs/ports/net/honeyd/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- Makefile	26 Sep 2003 07:44:53 -0000	1.10
+++ Makefile	29 Nov 2003 23:26:55 -0000
@@ -6,22 +6,38 @@
 #
 
 PORTNAME=	honeyd
-PORTVERSION=	0.6a
+PORTVERSION=	0.7
 CATEGORIES=	net
 MASTER_SITES=	http://niels.xtdnet.nl/honeyd/
 
 MAINTAINER=	yb@sainte-barbe.org
-COMMENT=	A utility to simualte services and hosts on a virtual network host
+COMMENT=	Simulate virtual network hosts (honey-pots)
 
 BUILD_DEPENDS=	${LOCALBASE}/lib/libdnet.a:${PORTSDIR}/net/libdnet \
 		${LOCALBASE}/lib/libevent.a:${PORTSDIR}/devel/libevent
 
+USE_PYTHON=	yes
+USE_REINPLACE=	yes
+INSTALLS_SHLIB=	yes
 GNU_CONFIGURE=	yes
 CONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
 CONFIGURE_ARGS=	--with-libdnet=${LOCALBASE} \
 		--with-libevent=${LOCALBASE} \
 		--with-pcap
-INSTALLS_SHLIB=	yes
+
 MAN8=		honeyd.8
+
+post-configure:
+	@${REINPLACE_CMD} -e 's|LIBS = |LIBS = ${PTHREAD_LIBS}|' \
+		${WRKSRC}/Makefile
+
+post-install:
+	@${MKDIR} ${DATADIR}/scripts/snmp
+	@cd ${WRKSRC}/scripts && \
+		${INSTALL_SCRIPT} *.pl *.sh ${DATADIR}/scripts
+	@cd ${WRKSRC}/scripts/snmp && \
+		${INSTALL_DATA} README default.snmp *.tpl \
+			${DATADIR}/scripts/snmp && \
+		${INSTALL_SCRIPT} *.pl ${DATADIR}/scripts/snmp
 
 .include <bsd.port.mk>
Index: distinfo
===================================================================
RCS file: /FreeBSD/cvs/ports/net/honeyd/distinfo,v
retrieving revision 1.5
diff -u -r1.5 distinfo
--- distinfo	26 Sep 2003 07:44:53 -0000	1.5
+++ distinfo	27 Nov 2003 21:13:47 -0000
@@ -1 +1 @@
-MD5 (honeyd-0.6a.tar.gz) = d8743bde540db637a7cd7a19214a8265
+MD5 (honeyd-0.7.tar.gz) = d05e112d513d0a1ce7b39cded9b0aba5
Index: pkg-plist
===================================================================
RCS file: /FreeBSD/cvs/ports/net/honeyd/pkg-plist,v
retrieving revision 1.3
diff -u -r1.3 pkg-plist
--- pkg-plist	26 Sep 2003 07:44:53 -0000	1.3
+++ pkg-plist	29 Nov 2003 23:28:29 -0000
@@ -1,14 +1,29 @@
+@comment $FreeBSD$
 bin/honeyd
+include/honeyd/debug.h
 include/honeyd/hooks.h
 include/honeyd/plugins.h
 include/honeyd/plugins_config.h
-include/honeyd/debug.h
-share/honeyd/README
-share/honeyd/nmap.assoc
-share/honeyd/nmap.prints
-share/honeyd/xprobe2.conf
-share/honeyd/config.sample
-@dirrm share/honeyd
+@dirrm include/honeyd
 lib/honeyd/libhoneyd.so
 @dirrm lib/honeyd
-@dirrm include/honeyd
+%%DATADIR%%/README
+%%DATADIR%%/nmap.assoc
+%%DATADIR%%/nmap.prints
+%%DATADIR%%/xprobe2.conf
+%%DATADIR%%/config.sample
+%%DATADIR%%/pf.os
+%%DATADIR%%/scripts/proxy.pl
+%%DATADIR%%/scripts/router-telnet.pl
+%%DATADIR%%/scripts/smtp.pl
+%%DATADIR%%/scripts/test.sh
+%%DATADIR%%/scripts/web.sh
+%%DATADIR%%/scripts/snmp/README
+%%DATADIR%%/scripts/snmp/buildSNMPConfig.pl
+%%DATADIR%%/scripts/snmp/default.snmp
+%%DATADIR%%/scripts/snmp/fake-snmp.pl
+%%DATADIR%%/scripts/snmp/linux-2.4.snmp.tpl
+%%DATADIR%%/scripts/snmp/windows2000.snmp.tpl
+@dirrm %%DATADIR%%/scripts/snmp
+@dirrm %%DATADIR%%/scripts
+@dirrm %%DATADIR%%



Please let me know if you approve this.

The port now always depends on Python - 
is this dependency mandatory or optional?

Sergei
Comment 3 Sergei Kolobov freebsd_committer 2003-11-29 23:34:21 UTC
State Changed
From-To: open->feedback

Sent slightly modified version of patch to the maintainer. 
Awaiting feedback.
Comment 4 Sergei Kolobov freebsd_committer 2003-12-04 16:00:58 UTC
State Changed
From-To: feedback->closed

Committed, thanks!